<?php
if (!function_exists("emailInicioProcesoDescarga")) {
	function emailInicioProcesoDescarga($fechaInicioProceso, $arrayArchivos)
	{
		$asunto = "Inicio descarga y proceso de archivos de licitaciones";
		$archivosEmail = "";
		foreach ($arrayArchivos as $file) {
			$archivosEmail .= "<p>" . $file . "</p>";
		}
		$cuerpo = "<!DOCTYPE html>
		<html lang='en'>
		<head>
			<meta charset='UTF-8'>
		</head>

		<body style='font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 15px;'>
			<div class='contenedor' style='max-width:900px; width:100%; margin:0px auto;'>
				<div class='texto-inicio'>
					<p><strong>A continuación se mostraran los ficheros implicados en el proceso de descarga a fecha :" . $fechaInicioProceso . ".</strong></p>
				</div>
				<div class='campos'>
                    $archivosEmail;
				</div>
			</div>
		</body>
		</html>";

		enviarEmail($asunto, $cuerpo, array(), false);
	}
}

if (!function_exists("emailFinProcesoDescarga")) {
	function emailFinProcesoDescarga($fechaInicioProceso)
	{
		$asunto = "Fin descarga y proceso de archivos de licitaciones";

		$cuerpo = "<!DOCTYPE html>
		<html lang='en'>
		<head>
			<meta charset='UTF-8'>
		</head>

		<body style='font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 15px;'>
			<div class='contenedor' style='max-width:900px; width:100%; margin:0px auto;'>
				<div class='texto-inicio'>
					<p><strongEl proceso de importación con fecha $fechaInicioProceso ha terminado.</strong></p>
				</div>
			</div>
		</body>
		</html>";

		enviarEmail($asunto, $cuerpo, array(), false);
	}
}

if (!function_exists("emailEnvioExcel")) {
	function emailEnvioExcel()
	{
		$asunto = "Envio Excel Licitaciones Dia " . date("d-m-Y");

		$cuerpo = "<!DOCTYPE html>
		<html lang='en'>
		<head>
			<meta charset='UTF-8'>
		</head>

		<body style='font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 15px;'>
			<div class='contenedor' style='max-width:900px; width:100%; margin:0px auto;'>
				<div class='texto-inicio'>
					<p><strong>Se adjunta excel de licitaciones día " . date("d-m-Y") . ".</strong></p>
				</div>
			</div>
		</body>
		</html>";

		$email = "chcalvoleon@mindden.com";
		$rutaArray = array(FCPATH . 'uploads/Licitaciones_' . date("d-m-Y") . ".xlsx");
		enviarEmail($asunto, $cuerpo, $rutaArray, false);
	}
}
